Cheap VPS & Xen Server

Residential Proxy Network - Hourly & Monthly Packages

How to install ruby-memoist on Debian Unstable (Sid)

Install ruby-memoist

Installing ruby-memoist package on Debian Unstable (Sid) is as easy as running the following command on terminal:

sudo apt-get update
sudo apt-get install ruby-memoist

ruby-memoist package information

distro Debian Unstable (Sid)
section Main
name ruby-memoist
version 0.14.0-1
description Ruby library providing method memoization
subsection ruby
website / matthewrudy / memoist
maintainer Debian Ruby Extras Maintainers

Uninstall ruby-memoist

To remove just ruby-memoist package itself from Debian Unstable (Sid) execute on terminal:

sudo apt-get remove ruby-memoist

Uninstall ruby-memoist and it’s dependent packages

To remove the ruby-memoist package and any other dependant package which are no longer needed from Debian Sid.

sudo apt-get remove --auto-remove ruby-memoist

Purging ruby-memoist

If you also want to delete configuration and/or data files of ruby-memoist from Debian Sid then this will work:

sudo apt-get purge ruby-memoist

To delete configuration and/or data files of ruby-memoist and it’s dependencies from Debian Sid then execute:

sudo apt-get purge --auto-remove ruby-memoist